Summary: POSIX File System Archiver
Name: pax
Version: 3.4
Release: 1
License: BSD
Group: Applications/Archiving
Source0: ftp://ftp.suse.com/pub/people/kukuk/pax/%{name}-%{version}.tar.bz2
Source1: %{name}-manpage-preformatted.1
URL: ftp://ftp.suse.com/pub/people/kukuk/pax/

# fix bug with archiving files of filename length exactly 100 chars
Patch0: %{name}-%{version}-abs100.patch
# do not truncate names when extracting
Patch1: %{name}-%{version}-rdtruncate.patch

Patch2: %{name}-%{version}-aix.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: patch

%description
'pax' is the POSIX standard archive tool.  It supports the two most
common forms of standard Unix archive (backup) files - CPIO and TAR.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1 -b .abs100
%patch1 -p1 -b .rdtruncate
%patch2


%build
export CC="cc -qcpluscmt -D_MTEXTEND_H"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# use a pre-formatted manpage as the other requires groff to display properly
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man1/*.1
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/cat1
cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_mandir}/cat1/%{name}.1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/cat1/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README THANKS
%{_bindir}/*
%{_mandir}/cat1/*
/usr/linux/bin/*


%changelog
* Fri Oct 19 2012 Michael Perzl <michael@perzl.org> - 3.4-1
- first version for AIX V5.1 and higher
